Bug 1894558 (CVE-2020-25673) - CVE-2020-25673 kernel: non-blocking socket in llcp_sock_connect()
Summary: CVE-2020-25673 kernel: non-blocking socket in llcp_sock_connect()
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-25673
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1894559 1911189
Blocks: 1890493 1939826
TreeView+ depends on / blocked
 
Reported: 2020-11-04 13:59 UTC by msiddiqu
Modified: 2021-06-23 14:51 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 14:13:23 UTC


Attachments (Terms of Use)

Description msiddiqu 2020-11-04 13:59:10 UTC
A vulnerability was found in Linux kernel where non-blocking socket in llcp_sock_connect() leads to leak and eventually hanging-up the system.

References:

https://www.openwall.com/lists/oss-security/2020/11/01/1

Comment 1 msiddiqu 2020-11-04 14:00:02 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1894559]


Note You need to log in before you can comment on or make changes to this bug.